﻿// DataDisplay3Control.xaml.cs by Charles Petzold, 12/08
using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using DataLibrary;

namespace DataDisplay
{
    public partial class DataDisplayControl : UserControl
    {
        DataCollectionPresenter dataColl;

        public DataDisplayControl()
        {
            InitializeComponent();
            Application.Current.MainWindow.Title = "Data Display #3 (Presenter)";
        }

        public void CreateDataCollection(int numPoints)
        {
            dataColl = new DataCollectionPresenter(numPoints);
        }

        public void AssignDataContext()
        {
            DataContext = dataColl;
        }
    }
}
