﻿// DataDisplay6Control.xaml.cs by Charles Petzold, 12/08
using System;
using System.Windows;
using System.Windows.Controls;
using DataLibrary;

namespace DataDisplay
{
    public partial class DataDisplayControl : UserControl
    {
        NotifiableDataCollection dataColl;

        public DataDisplayControl()
        {
            InitializeComponent();
            Application.Current.MainWindow.Title = "Data Display #6 (Better Custom ScatterPlot)";
        }

        public void CreateDataCollection(int numPoints)
        {
            dataColl = new NotifiableDataCollection(numPoints);
        }

        public void AssignDataContext()
        {
            DataContext = dataColl;
        }
    }
}
