﻿// ItemPropertyChangedEventArgs.cs by Charles Petzold, December 2008
using System.ComponentModel;

namespace DataLibrary
{
    public class ItemPropertyChangedEventArgs : PropertyChangedEventArgs
    {
        object item;

        public ItemPropertyChangedEventArgs(object item,
                                            string propertyName)
            : base(propertyName)
        {
            this.item = item;
        }

        public object Item
        {
            get { return item; }
        }
    }

    public delegate void ItemPropertyChangedEventHandler(object sender,
                                        ItemPropertyChangedEventArgs args);
}
