﻿// NotifiableDataCollection.cs by Charles Petzold, December 2008
using System;
using System.Collections.ObjectModel;

namespace DataLibrary
{
    public class NotifiableDataCollection
    {
        public NotifiableDataCollection(int numPoints)
        {
            DataPoints = new ObservableNotifiableCollection<DataPoint>();
            new DataRandomizer<DataPoint>(DataPoints, numPoints, Math.Min(1, numPoints / 100));
        }

        public ObservableNotifiableCollection<DataPoint> DataPoints { set; get; }
    }
}