﻿// DataCollection.cs by Charles Petzold, December 2008
using System;
using System.Collections.ObjectModel;

namespace DataLibrary
{
    public class DataCollection
    {
        public DataCollection(int numPoints)
        {
            DataPoints = new ObservableCollection<DataPoint>();
            new DataRandomizer<DataPoint>(DataPoints, numPoints, 
                                               Math.Min(1, numPoints / 100));
        }

        public ObservableCollection<DataPoint> DataPoints { set; get; }
    }
}