﻿// DataCollectionPresenter.cs by Charles Petzold, December 2008
using System;
using System.Collections.ObjectModel;

namespace DataLibrary
{
    public class DataCollectionPresenter
    {
        public DataCollectionPresenter(int numPoints)
        {
            DataPoints = new ObservableCollection<DataPointPresenter>();
            new DataRandomizer<DataPointPresenter>(DataPoints, numPoints, 
                                                        Math.Min(1, numPoints / 100));
        }

        public ObservableCollection<DataPointPresenter> DataPoints { set; get; }
    }
}