﻿// DoublesToPointconverter.cs by Charles Petzold, December 2008
using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace DataLibrary
{
    public class DoublesToPointConverter : IMultiValueConverter
    {
        public object Convert(object[] value, Type typeTarget,
                              object param, CultureInfo culture)
        {
            return new Point((double)value[0], (double)value[1]);
        }
        public object[] ConvertBack(object value, Type[] typeTarget,
                                    object param, CultureInfo culture)
        {
            Point point = (Point)value;
            object[] doubles = new object[3];
            doubles[0] = point.X;
            doubles[1] = point.Y;
            return doubles;
        }
    }
}
