﻿// IndexToBrushConverter.cs by Charles Petzold, December 2008
using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;

namespace DataLibrary
{
    public class IndexToBrushConverter : IValueConverter
    {
        public Brush[] Brushes { get; set; }

        public object Convert(object value, Type targetType, 
                              object parameter, CultureInfo culture)
        {
            return Brushes[(int)value];
        }

        public object ConvertBack(object value, Type targetType, 
                                  object parameter, CultureInfo culture)
        {
            return null;
        }
    }
}